com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface AttributeMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, MemberMetadata, org.eclipse.emf.common.notify.Notifier

      public interface AttributeMetadata
      extends MemberMetadata

  A representation of the model object 'Attribute Metadata'.

  The following features are supported:

  - `Type Enum`
  See Also:
    `JavaPackage.getAttributeMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTypeEnum()` Returns the value of the 'Type Enum' attribute
    `void` | `setTypeEnum(boolean value)` Sets the value of the '`Type Enum`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.MemberMetadata

      `getCategory, getName, getType, isArray, setArray, setCategory, setName, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isTypeEnum

          boolean isTypeEnum()

      Returns the value of the 'Type Enum' attribute.

      If the meaning of the 'Type Enum' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type Enum' attribute.
      See Also:
        `setTypeEnum(boolean)`, `JavaPackage.getAttributeMetadata_TypeEnum()`

    - #### setTypeEnum

          void setTypeEnum(boolean value)

      Sets the value of the '`Type Enum`' attribute.
      Parameters:
        `value` - the new value of the 'Type Enum' attribute.
      See Also:
        `isTypeEnum()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.